import { JSONContent } from "@tiptap/react";
export declare function EditorInterface(): import("react/jsx-runtime").JSX.Element;
/**
 * A compact version of the Editor component, suitable for inline editing.
 * Supports most features of the full editor, but with a smaller footprint.
 * @param {{
 *   padding?: string;
 *   width?: string;
 *   height?: string;
 *   hideToolbar?: boolean;
 *   readOnly?: boolean;
 *   initialContent?: string | JSONContent;
 *   name?: string;
 *   id?: string;
 *   outputType?: "html" | "json" | "text";
 *   onValueChange?: (value: string) => void;
 * }} props
 * @returns {JSX.Element}
 */
export declare function CompactEditor({ padding, width, height, hideToolbar, readOnly, initialContent, name, id, outputType, onValueChange, }: CompactEditorProps): import("react/jsx-runtime").JSX.Element;
type CompactEditorProps = {
    padding?: string;
    width?: string;
    height?: string;
    hideToolbar?: boolean;
    readOnly?: boolean;
    name?: string;
    id?: string;
    outputType?: "html" | "json" | "text";
    initialContent?: string | JSONContent;
    onValueChange?: (value: string) => void;
    setImage?: (src: string) => void;
};
export {};
